org.apache.uima.cas.impl

## Class CasSeqAddrMaps

- java.lang.Object
- - org.apache.uima.cas.impl.CasSeqAddrMaps

-     public class CasSeqAddrMaps
      extends Object

  Manage the conversion of Items (FSrefs) to relative sequential index number, and back Manage the difference in two type systems both size of the FSs and handling excluded types During serialization, these maps are constructed before serialization. During deserialization, these maps are constructed while things are being deserialized, and then used in a "fixup" call at the end. This allows for forward references. For delta deserialization, the base part of these maps (for below-the-line) is constructed by scanning up to the mark.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CasSeqAddrMaps()`
    `CasSeqAddrMaps(org.apache.uima.internal.util.IntVector tgtSeq2SrcAddr, org.apache.uima.internal.util.rb_trees.Int2IntRBT srcAddr2TgtSeq)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItemAddr(int srcAddr, int tgtAddr, boolean inTarget)` Add a new FS address - done during prescan of source Must call in heap scan order
    `void` | `addSrcAddrForTgt(int srcAddr, boolean inSrc)` Called during deserialize to incrementally add
    `int` | `getNumberSrcFss()`
    `int` | `getSrcAddrFromTgtSeq(int seq)`
    `int` | `getTgtSeqFromSrcAddr(int itemAddr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CasSeqAddrMaps

          public CasSeqAddrMaps()

    - #### CasSeqAddrMaps

          public CasSeqAddrMaps(org.apache.uima.internal.util.IntVector tgtSeq2SrcAddr,
                                org.apache.uima.internal.util.rb_trees.Int2IntRBT srcAddr2TgtSeq)

  - ### Method Detail

    - #### addItemAddr

          public void addItemAddr(int srcAddr,
                                  int tgtAddr,
                                  boolean inTarget)

      Add a new FS address - done during prescan of source Must call in heap scan order
      Parameters:
        `srcAddr` - -
        `tgtAddr` - -
        `inTarget` - true if this type is in the target

    - #### addSrcAddrForTgt

          public void addSrcAddrForTgt(int srcAddr,
                                       boolean inSrc)

      Called during deserialize to incrementally add
      Parameters:
        `srcAddr` - -
        `inSrc` - -

    - #### getSrcAddrFromTgtSeq

          public int getSrcAddrFromTgtSeq(int seq)

      Parameters:
        `seq` - -
      Returns:
        0 means target seq doesn't exist in source CAS

    - #### getTgtSeqFromSrcAddr

          public int getTgtSeqFromSrcAddr(int itemAddr)

      Parameters:
        `itemAddr` - -
      Returns:
        -1 if src addr not in target seq

    - #### getNumberSrcFss

          public int getNumberSrcFss()

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.